Package Details: hdf5_18-cpp-fortran 1.8.21-1

Git Clone URL: https://aur.archlinux.org/hdf5_18-cpp-fortran.git (read-only)
Package Base: hdf5_18-cpp-fortran
Description: General purpose library and file format for storing scientific data
Upstream URL: http://www.hdfgroup.org/HDF5/
Licenses: custom
Conflicts: hdf5_18
Provides: hdf5_18
Submitter: petronny
Maintainer: petronny
Last Packager: petronny
Votes: 2
Popularity: 0.001582
First Submitted: 2016-11-01 17:38
Last Updated: 2018-06-11 13:30

Latest Comments

znmeb commented on 2017-12-05 08:32

Doesn't install:

==> Downloading hdf5_18-cpp-fortran PKGBUILD from AUR... x .SRCINFO x .gitignore x PKGBUILD rarchz commented on 2016-12-01 01:43 <br> To avoid failing ftp when it's not the last version:

source=(ftp://ftp.hdfgroup.org/HDF5/releases/${pkgname}-${pkgver//-}/src/${pkgname}-${pkgver//-}.tar.bz2)

petronny commented on 2016-12-01 05:30 <br> @kaptoxic 1.10 and 1.8 is not compatible with each other.

hdf5_18-cpp-fortran 1.8.19-1 (2017-06-26 08:01) ( Unsupported package: Potentially dangerous ! ) ==> hdf5_18-cpp-fortran dependencies: - zlib (already installed) - sh (already installed) - gcc-libs (already installed) - time (already installed) [makedepend] - gcc-fortran (already installed) [makedepend]

==> Continue building hdf5_18-cpp-fortran ? [Y/n] ==> --------------------------------------------- ==> ==> Building and installing package ==> Making package: hdf5_18-cpp-fortran 1.8.19-1 (Tue Dec 5 00:28:50 PST 2017) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Downloading hdf5-1.8.19.tar.bz2... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 curl: (22) The requested URL returned error: 404 Not Found ==> ERROR: Failure while downloading https://support.hdfgroup.org/ftp/HDF5/current18/src/hdf5-1.8.19.tar.bz2 Aborting... ==> ERROR: Makepkg was unable to build hdf5_18-cpp-fortran. ==> Restart building hdf5_18-cpp-fortran ? [y/N] ==> --------------------------------------------

petronny commented on 2016-12-01 05:30

@kaptoxic 1.10 and 1.8 is not compatible with each other.

rarchz commented on 2016-12-01 01:43

To avoid failing ftp when it's not the last version:

source=(ftp://ftp.hdfgroup.org/HDF5/releases/${_pkgname}-${pkgver/_/-}/src/${_pkgname}-${pkgver/_/-}.tar.bz2)